Login
Returns the initial state of the current agent. Specifics
Request
customer_monitoring_level values:
my— only the customers from chats the agent is assigned tochatting— all customers that are chatting within the groups the agent is assigned toinvited— all customers that are invited to chat within the groups the agent is assigned toonline— all customers visiting the website assigned to the agent’s groupshighest_available— sets customer monitoring level to the highest available level based on license configuration
Request
Response
Set away status
Sets an agent’s connection to theaway state. The method works per connection — all connections an agent has (desktop, mobile, etc.) must be in the away state for the agent’s status to be changed to not_accepting_chats.
You may want to make use of the auto-away feature and set the agents’ statuses to not_accepting_chats when they’re inactive. Checking if agents are active or inactive should be implemented on your side. If you decide they’re inactive, set their connections to away. The auto-away feature will recognize the away connections and change the agent’s status to not_accepting_chats.
Specifics
Request
No response payload.
Request
Response
Set routing status
Changes the status of an agent or a bot agent. It sets the status for the session duration. Once the session ends, the status gets back to what’s in the agent’s settings. Unlike set_away_status, which is another mechanism of status manipulation,set_routing_status is independent of the number of connections (desktop, mobile, etc.).
Specifics
Request
No response payload.
Request
Response
Logout
Logs the agent out. Specifics
No request parameters.
No response payload.
Request
Response
List routing statuses
Returns the current routing status of each agent selected by the provided filters. Specifics
Request
Response
An array of objects, each containing:
Request
Response
Update session
Replaces the token used in the login request with a new one. This allows the WebSocket connection to remain open after the former token expires, as its lifetime is now tied to the new token. Specifics
Request
No response payload.
Request
Response